io_set_callback(3)

NAME
io_set_callback - Set up io completion callback function

SYNOPSIS
#include <errno.h>

#include <libaio.h>

static inline void io_set_callback(struct iocb *iocb, io_callback_t cb);

struct iocb {
	void		*data;
	unsigned	key;
	short		aio_lio_opcode;
	short		aio_reqprio;
	int		aio_fildes;
};

typedef void (*io_callback_t)(io_context_t ctx, struct iocb *iocb, long res, long res2);

DESCRIPTION
The callback is not done if the caller uses raw events from io_getevents(3), only with the library helpers.

RETURN VALUES
None.

ERRORS
None.

SEE ALSO
io(3), io_cancel(3), io_fsync(3), io_getevents(3), io_prep_fsync(3), io_prep_pread(3), io_prep_pwrite(3), io_queue_init(3), io_queue_release(3), io_queue_run(3), io_queue_wait(3), io_submit(3), errno(3).